## org.opennms.netmgt.snmp.snmp4j
Class Snmp4JWalker.Snmp4JResponseListener

    java.lang.Object
      org.opennms.netmgt.snmp.snmp4j.Snmp4JWalker.Snmp4JResponseListener

All Implemented Interfaces:
  java.util.EventListener, org.snmp4j.event.ResponseListener

Enclosing class:
  Snmp4JWalker

    public class Snmp4JWalker.Snmp4JResponseListener

extends java.lang.Object
implements org.snmp4j.event.ResponseListener

Constructor Summary
`Snmp4JWalker.Snmp4JResponseListener()`

Method Summary
`void` `onResponse(org.snmp4j.event.ResponseEvent responseEvent)`
`void` `processResponse(org.snmp4j.PDU response)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Snmp4JWalker.Snmp4JResponseListener

    public Snmp4JWalker.Snmp4JResponseListener()

Method Detail

### processResponse

    public void processResponse(org.snmp4j.PDU response)

### onResponse

    public void onResponse(org.snmp4j.event.ResponseEvent responseEvent)

  Specified by:
    `onResponse` in interface `org.snmp4j.event.ResponseListener`

Copyright © 2010. All Rights Reserved.